#ifndef AD9851_H
#define AD9851_H

#include "mbed.h"


class AD9851 /*: public Stream*/ { // or  : public Base

public:
/** Create a frequency selector object 
    * @param SDO serial data out (DigitalOut)
    * @param CLK serial clock - data clocked on + edge (DigitalOut)
    * @param LEN data latch enable strobe - high pulse after all 40 bits of data clocked in (DigitalOut)
    */
    AD9851(PinName SDO, PinName CLK, PinName LEN);

/** Destroys object
    */
    ~AD9851();
    
private:
    void OutNewValue();
/*  transfers new 40 bit word to the AD9851 */

};    
#endif